Sazabi
APIIssues

Reject an issue

Permanently reject an eligible issue and correct one issue usage unit.

POST https://api.sazabi.com/v1/issues/{issueId}/reject

POST
/issues/{issueId}/reject

Path Parameters

issueId*string

Issue ID to reject.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/issues/497f6eca-6276-4993-bfeb-53cbbbba6f08/reject" \  -H "Content-Type: application/json" \  -d '{    "reason": "not_real"  }'
{  "replay": true,  "receipt": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "issueId": "96179c34-d541-49af-b046-c06f0377732c",    "billingCycleId": "b7180242-5cb2-42f0-8b1a-ada6a2429b5d",    "actorUserId": "string",    "reason": "not_real",    "acceptedAt": "2019-08-24T14:15:22Z",    "deadlineAt": "2019-08-24T14:15:22Z",    "adjustment": {      "status": "pending",      "rejectionId": "4eab35b8-9425-451d-939e-045fff92b914"    }  }}